@mixin app-calendar-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-calendar {
      width: 100%;
      // padding: 5px;
      overflow-x: hidden;
    }
  
    .schedular {
      // margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
    }
  
    .schedular-top-nav {
      // width: 100%;
      display: flex;
      flex-direction: row;
    }
  
    .toolbar-spacer {
      flex: 1 1 auto;
    }
  
    // Calendar event lists with edit and delete button
    .calendar-event-edit-icon:after {
      // position: absolute;
      content: 'edit';
      font-weight: 400;
      font-size: 1.1em;
      margin-left: 5px;
      font-family: 'Material Icons';
      text-decoration: none !important;
    }
  
    .calendar-event-edit-icon:hover {
      color: white;
    }
  
    .calendar-event-delete-icon:after {
      // position: absolute;
      content: 'delete';
      font-weight: 400;
      font-size: 1.1em;
      margin-left: 5px;
      font-family: 'Material Icons';
    }
  
    .calendar-event-delete-icon:hover {
      color: white;
    }
  
    .cal-month-view .cal-day-badge {
      background-color: #B71C1C !important;
      color: #fff;
    }
    .cal-month-view .cal-open-day-events {
      color: black !important;
      background-color: mat-color($primary, 100) !important;
      box-shadow: none !important;
  }
  }